Index: code/branches/mergeFS18/data/levels/testMultiplayerLevel.oxw
===================================================================
--- code/branches/mergeFS18/data/levels/testMultiplayerLevel.oxw	(revision 12027)
+++ code/branches/mergeFS18/data/levels/testMultiplayerLevel.oxw	(revision 12027)
@@ -0,0 +1,141 @@
+<LevelInfo
+ name = "00 Team Multiplayer Level"
+ description = "Team Deathmatch."
+ tags = "test"
+ screenshot = "teamdeathmatch.png"
+/>
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+  include("lastTeamStandingHUD.oxo")
+  include("templates/spaceshipAssff.oxt")
+  include("templates/spaceshipPirate.oxt")
+  include("templates/pickupRepresentationTemplates.oxt")
+?>
+
+<Level
+ name         = "00 Team Multiplayer Level"
+ description  = "testmap for gametype teamdeathmatch"
+ gametype     =  "TeamDeathmatch"
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/skyBoxBasic"
+  >
+
+    <?lua
+      include("includes/pickups.oxi")
+    ?>
+    
+    <WorldAmbientSound source="Nebula_metal.ogg" looping="true" playOnLoad="true" />
+
+<Bot />
+
+<!-- ------------ middle asteroid -------------- -->
+    <StaticEntity position="0,20,0" collisionType=static>
+       <attached>
+           <Model position="0,0,0" scale=140 mesh="asteroid_UV.mesh" shadow=true />
+           <!-- ParticleEmitter position="0,0,0" source="Orxonox/Steam" / -->
+       </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="145" />
+      </collisionShapes>
+    </StaticEntity>
+
+    <PickupSpawner pickup=hugeinvisiblepickup position="-160,60,17" triggerDistance="20" respawnTime="5" maxSpawnedItems="10" /><!--EasterEgg-->
+    <StaticEntity position="-160,60,28.4"><!--EasterEgg-Indicator-->
+      <attached>
+        <Model position="0,0,0" scale=1 mesh="sphere.mesh" />
+      </attached>
+    </StaticEntity>
+
+<!-- ---------------asteroid dome----------------- -->
+<?lua
+max = 16
+fac = 0.3
+for i = 0, max, 1
+do
+    y = math.sin(i/max*6)*750
+    z = math.cos(i/max*6)*750
+    j = 1
+    ?>
+
+
+    <TeamSpawnPoint team=0 position="<?lua print(y*1.4+z*0.2) ?>,0,<?lua print(z*1.4-y*0.2) ?>" direction="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <TeamSpawnPoint team=1 position="<?lua print(y*1.4*fac+z*0.2*fac) ?>,0,<?lua print(z*1.4*fac-y*0.2*fac) ?>" direction="0,0,0" spawnclass=SpaceShip pawndesign=spaceshippirate />
+
+
+    <StaticEntity position="<?lua print(y) ?>,0,<?lua print(z) ?>" scale="<?lua print(j * 2) ?>" collisionType=static >
+      <attached>
+        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh">
+        </Model>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape    halfExtents="<?lua print(j * 2) ?>,100,<?lua print(j * 2) ?>" position = "0,0,0" />
+      </collisionShapes>
+    </StaticEntity>
+
+    <StaticEntity position="<?lua print(y) ?>,100,<?lua print(z) ?>" scale="<?lua print(j * 2) ?>" collisionType=static >
+      <attached>
+        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i+3,6) + 1) ?>.mesh">
+        </Model>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape    halfExtents="45,100,45" position = "0,0,0" />
+      </collisionShapes>
+    </StaticEntity>
+
+    <StaticEntity position="<?lua print(y) ?>,200,<?lua print(z) ?>" scale="<?lua print(j * 2) ?>" collisionType=static >
+      <attached>
+        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i*5,6) + 1) ?>.mesh">
+        </Model>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape    halfExtents="45,100,45" position = "0,0,0" />
+      </collisionShapes>
+    </StaticEntity>
+
+    <StaticEntity position="<?lua print(y) ?>,-100,<?lua print(z) ?>" scale="<?lua print(j * 2) ?>" collisionType=static >
+      <attached>
+        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i*13+1,6) + 1) ?>.mesh">
+        </Model>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape    halfExtents="45,100,45" position = "0,0,0" />
+      </collisionShapes>
+    </StaticEntity>
+
+    <StaticEntity position="<?lua print(y) ?>,-200,<?lua print(z) ?>" scale="<?lua print(j * 2) ?>" collisionType=static >
+      <attached>
+        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i*17,6) + 1) ?>.mesh">
+        </Model>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape    halfExtents="45,100,45" position = "0,0,0" />
+      </collisionShapes>
+    </StaticEntity>
+
+<!-- ---------Top Asteroid----------- -->
+    <StaticEntity position="<?lua print(y) ?>,300,<?lua print(z) ?>" scale="<?lua print(j * 2.1) ?>" pitch="90" roll="180" yaw="<?lua print(-90+i*360/max) ?>" collisionType=static >
+      <attached>
+        <Model position="0,0,0" scale=25 mesh="ast6.mesh">
+        </Model>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape    halfExtents="50,140,30" position="0,0,0"/>
+      </collisionShapes>
+    </StaticEntity>
+
+
+<?lua end ?>
+
+  </Scene>
+</Level>
+
+
Index: code/branches/mergeFS18/data/levels/testMultiplayerLevelLTS.oxw
===================================================================
--- code/branches/mergeFS18/data/levels/testMultiplayerLevelLTS.oxw	(revision 12027)
+++ code/branches/mergeFS18/data/levels/testMultiplayerLevelLTS.oxw	(revision 12027)
@@ -0,0 +1,63 @@
+<LevelInfo
+ name = "00 Test Multiplayer Level LTS"
+ description = "Survive as a team."
+ tags = "test"
+ screenshot = "lastteamstanding.png"
+/>
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+  include("lastTeamStandingHUD.oxo")
+  include("templates/spaceshipAssff.oxt")
+  include("templates/spaceshipPirate.oxt")
+  include("templates/pickupRepresentationTemplates.oxt")
+?>
+
+<Level
+ name         = "00 Team Multiplayer Level LTS"
+ description  = "testmap for gametype last team standing"
+ gametype     =  "LastTeamStanding"
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/skyBoxBasic"
+  >
+
+    <?lua
+      include("includes/pickups.oxi")
+    ?>
+    
+    <WorldAmbientSound source="Nebula_metal.ogg" looping="true" playOnLoad="true" />
+
+<Bot />
+
+<!-- ------------ middle asteroid -------------- -->
+
+
+<!-- ---------------asteroid dome----------------- -->
+<?lua
+max = 16
+for i = 0, max, 1
+do
+    y = math.sin(i/max*6)*750
+    z = math.cos(i/max*6)*750
+    j = 1
+    ?>
+
+    <TeamSpawnPoint team="<?lua print( math.mod(i,4)) ?>" position="<?lua print(y*1.4+z*0.2) ?>,0,<?lua print(z*1.4-y*0.2) ?>" direction="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+
+
+
+
+<?lua end ?>
+
+  </Scene>
+</Level>
+
+
Index: code/branches/mergeFS18/data/overlays/lastTeamStandingHUD.oxo
===================================================================
--- code/branches/mergeFS18/data/overlays/lastTeamStandingHUD.oxo	(revision 12026)
+++ code/branches/mergeFS18/data/overlays/lastTeamStandingHUD.oxo	(revision 12027)
@@ -2,5 +2,5 @@
   <OverlayGroup name="lastTeamStandingHUD" scale = "1, 1">
     <LastTeamStandingInfos
-     position  = "0.14, 0.02"
+     position  = "0.5, 0.02"
      pickpoint = "0.0, 0.0"
      font      = "ShareTechMono"
@@ -14,5 +14,5 @@
 
     <OverlayText
-     position  = "0.02, 0.02"
+     position  = "0.38, 0.02"
      pickpoint = "0.0, 0.0"
      font      = "ShareTechMono"
@@ -24,5 +24,5 @@
 
     <OverlayText
-     position  = "0.02, 0.055"
+     position  = "0.38, 0.055"
      pickpoint = "0.0, 0.0"
      font      = "ShareTechMono"
@@ -34,5 +34,5 @@
 
     <LastTeamStandingInfos
-     position  = "0.14, 0.055"
+     position  = "0.5, 0.055"
      pickpoint = "0.0, 0.0"
      font      = "ShareTechMono"