Index: code/branches/mergeFS18/data/levels/newnewnewspacerace.oxw
===================================================================
--- code/branches/mergeFS18/data/levels/newnewnewspacerace.oxw	(revision 12026)
+++ code/branches/mergeFS18/data/levels/newnewnewspacerace.oxw	(revision 12029)
@@ -21,5 +21,5 @@
 
   include("templates/spaceshipAssff.oxt")
-  include("templates/pickupRepresentationTemplates.oxt")
+  include("templates/SpaceRaceTemplates.oxt")
 
 ?>
@@ -218,5 +218,5 @@
   </StaticEntity>
 
-<StaticEntity position="10000,-70,200" direction="-1,0,0" yaw=90 pitch=0 roll=-30 collisionType="static">
+<StaticEntity position="11000,-60,200" direction="-1,0,0" yaw=90 pitch=0 roll=-30 collisionType="static">
     <attached>
       <Model scale="20" mesh="Board2.mesh" />
@@ -233,4 +233,7 @@
     
     <!-- distance = how far from the middle point of a check point do i have to fly ? distance variable answers this question   -->
+   
+
+      
 
 
@@ -246,6 +249,6 @@
     </collisionShapes>
     </RaceCheckPoint>
-
-
+            <Model mesh="cube.mesh" scale=2 position="3000,200,100"/>
+            <Model mesh="cube.mesh" scale=2 position="5000,100,500"/>
 
 <RaceCheckPoint name="checkpoint2" yaw=90 pitch=90 position="3000,200,100" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="1" islast="false" nextcheckpoints="2,-1,-1">
@@ -262,5 +265,5 @@
 
 
-<RaceCheckPoint name="checkpoint3" yaw=90 pitch=90 position="5000,100,500" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="2" islast="false" nextcheckpoints="3,-1,-1">
+<RaceCheckPoint name="checkpoint3" yaw=90 pitch=90 position="5000,80,500" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="2" islast="false" nextcheckpoints="3,-1,-1">
         <attached>
       <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
@@ -288,33 +291,33 @@
 
 
-<RaceCheckPoint name="checkpoint5"  yaw=90 pitch=90 position="10000,-200,200" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="4" islast="false" nextcheckpoints="5,-1,-1">
-        <attached>
-      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
-    </attached>
-    <collisionShapes>
-        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
-        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
-        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
-        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
-    </collisionShapes>
-    </RaceCheckPoint>
-
-
-
-<RaceCheckPoint name="checkpoint6" yaw=90 pitch=90 position="13000,200,400" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="5" islast="false" nextcheckpoints="6,-1,-1">
-        <attached>
-      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
-    </attached>
-    <collisionShapes>
-        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
-        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
-        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
-        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
-    </collisionShapes>
-    </RaceCheckPoint>
-
-
-
-<RaceCheckPoint name="checkpoint7" yaw=90 pitch=90 position="15000,0,0" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="6" islast="false" nextcheckpoints="7,-1,-1">
+<RaceCheckPoint name="checkpoint5"  yaw=90 pitch=90 position="11000,-200,200" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="4" islast="false" nextcheckpoints="5,-1,-1">
+        <attached>
+      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
+        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
+    </collisionShapes>
+    </RaceCheckPoint>
+
+
+
+<RaceCheckPoint name="checkpoint6" yaw=90 pitch=90 position="13000,-70,350" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="5" islast="false" nextcheckpoints="6,-1,-1">
+        <attached>
+      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
+        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
+    </collisionShapes>
+    </RaceCheckPoint>
+
+
+
+<RaceCheckPoint name="checkpoint7" yaw=90 pitch=90 position="15500,0,0" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="6" islast="false" nextcheckpoints="7,-1,-1">
         <attached>
       <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
@@ -353,5 +356,4 @@
     </collisionShapes>
     </RaceCheckPoint>
-
 <RaceCheckPoint name="checkpoint10" yaw=90 pitch=90 position="24000,-150,-80" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="9" islast="false" nextcheckpoints="10,-1,-1">
         <attached>
@@ -380,44 +382,44 @@
 
 
-<RaceCheckPoint name="checkpoint12" yaw=90 pitch=90 position="30000,-300,900" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="11" islast="false" nextcheckpoints="12,-1,-1">
-        <attached>
-      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
-    </attached>
-    <collisionShapes>
-        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
-        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
-        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
-        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
-    </collisionShapes>
-    </RaceCheckPoint>
-
-
-<RaceCheckPoint name="checkpoint13" yaw=90 pitch=90 position="33000,600,60" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="12" islast="false" nextcheckpoints="13,-1,-1">
-        <attached>
-      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
-    </attached>
-    <collisionShapes>
-        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
-        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
-        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
-        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
-    </collisionShapes>
-    </RaceCheckPoint>
-
-
-
-<RaceCheckPoint name="checkpoint14" yaw=90 pitch=90 position="35000,120,20" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="13" islast="false" nextcheckpoints="14,-1,-1">
-        <attached>
-      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
-    </attached>
-    <collisionShapes>
-        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
-        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
-        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
-        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
-    </collisionShapes>
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint15" yaw=90 pitch=90 position="38000,-200,0" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="14" islast="false" nextcheckpoints="15,-1,-1">
+<RaceCheckPoint name="checkpoint12" yaw=90 pitch=90 position="30000,-250,670" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="11" islast="false" nextcheckpoints="12,-1,-1">
+        <attached>
+      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
+        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
+    </collisionShapes>
+    </RaceCheckPoint>
+
+
+<RaceCheckPoint name="checkpoint13" yaw=90 pitch=90 position="33000,150,600" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="12" islast="false" nextcheckpoints="13,-1,-1">
+        <attached>
+      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
+        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
+    </collisionShapes>
+    </RaceCheckPoint>
+
+
+
+<RaceCheckPoint name="checkpoint14" yaw=90 pitch=90 position="35000,500,300" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="13" islast="false" nextcheckpoints="14,-1,-1">
+        <attached>
+      <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,70"      halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="0,0,-70"     halfExtents="70, 10, 10" />
+        <BoxCollisionShape position="70,0,0"      halfExtents="10, 10, 70" />
+        <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
+    </collisionShapes>
+    </RaceCheckPoint>
+
+<RaceCheckPoint name="checkpoint15" yaw=90 pitch=90 position="38000,150,150" direction="0,1,0" roll="0" collisionType="static" scale="1" distance="60" checkpointindex="14" islast="false" nextcheckpoints="15,-1,-1">
         <attached>
       <Model position="0,0,0" scale="70" mesh="Checkpoint_InnerRing.mesh"/>
@@ -477,5 +479,5 @@
         <BoxCollisionShape position="-70,0,0"     halfExtents="10, 10, 70" />
     </collisionShapes>
-    </RaceCheckPoint>
+    </RaceCheckPoint> 
 
 <!-- the last checkpoint is bigger and red -->
@@ -490,21 +492,58 @@
         <BoxCollisionShape position="-90,0,0"     halfExtents="13, 13, 90" />
     </collisionShapes>
-    </RaceCheckPoint>
+    </RaceCheckPoint> 
 
 
 </checkpoints>
 </SpaceRaceManager>
-
+   <Arrow>
+      <attached>
+       <Model scale="5" mesh="botpointer4.mesh"/>
+      </attached>
+      <controller>
+        <ArrowController accuracy = 10000>
+          <gpspoints>
+            <Model mesh="cube.mesh" scale=0 position="1000,30,0"/>
+            <Model mesh="cube.mesh" scale=0 position="3000,200,100"/>
+            <Model mesh="cube.mesh" scale=0 position="5000,80,500"/>
+            <Model mesh="cube.mesh" scale=0 position="8000,-150,150"/>
+            <Model mesh="cube.mesh" scale=0 position="11000,-200,200"/>
+            <Model mesh="cube.mesh" scale=0 position="13000,-70,350"/>
+            <Model mesh="cube.mesh" scale=0 position="15500,0,0"/>
+            <Model mesh="cube.mesh" scale=0 position="18000,150,-150"/>
+            <Model mesh="cube.mesh" scale=0 position="21000,200,-120"/>
+            <Model mesh="cube.mesh" scale=0 position="24000,-150,-80"/>
+            <Model mesh="cube.mesh" scale=0 position="27000,-200,0"/>
+            <Model mesh="cube.mesh" scale=0 position="30000,-250,670"/>
+            <Model mesh="cube.mesh" scale=0 position="33000,150,600"/>
+            <Model mesh="cube.mesh" scale=0 position="35000,500,300"/>
+            <Model mesh="cube.mesh" scale=0 position="38000,150,150"/>
+            <Model mesh="cube.mesh" scale=0 position="41000,30,-50"/>
+            <Model mesh="cube.mesh" scale=0 position="44000,90,0"/>
+            <Model mesh="cube.mesh" scale=0 position="47000,120,30"/>
+            <Model mesh="cube.mesh" scale=0 position="50000,0,100"/>
+            <Model mesh="cube.mesh" scale=0 position="53000,0,0"/>
+
+            
+
+
+           
+
+                </gpspoints>
+        </ArrowController>
+      </controller>
+    </Arrow>
 
 
 <!-- ---------------------PickUps---------------------- -->
 
-    <PickupSpawner pickup=smallshrinkpickup position="10000,-200,200" triggerDistance="60" respawnTime="10" maxSpawnedItems="10" scale="8"/>
-    <PickupSpawner pickup=mediumboostpickup position="24000,-150,-80" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
-    <PickupSpawner pickup=smallboostpickup position="38000,-200,0" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
-
-    <PickupSpawner pickup=smallspeedpickup position="7000,-200,100" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
-    <PickupSpawner pickup=mediumshinkpickup position="16000,150,50" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
-    <PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="41000,-300,100" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
+    
+    <PickupSpawner pickup=mediumboostpickup position="24000,-165,-80" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
+    
+    <PickupSpawner pickup=smallboostpickup position="42000,70,-30" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
+    <PickupSpawner pickup=smallspeedpickup position="32000,0,650" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
+
+    <PickupSpawner pickup=smallspeedpickup position="9000,-185,66" triggerDistance="60" respawnTime="10" maxSpawnedItems="8" scale="10"/>
+ 
   </Scene>
 </Level>