Index: code/branches/mergeFS18/data/levels/SOB.oxw
===================================================================
--- code/branches/mergeFS18/data/levels/SOB.oxw	(revision 12030)
+++ code/branches/mergeFS18/data/levels/SOB.oxw	(revision 12031)
@@ -39,5 +39,5 @@
 		<SOBFigure>
 			<camerapositions>
-				<CameraPosition position="0,-150,30" absolute=true mouselook=false drag=false direction="0,1,0"/>
+				<CameraPosition position="0,-250,30" absolute=true mouselook=false drag=false direction="0,1,0"/>
 			</camerapositions>
 		</SOBFigure>
@@ -122,7 +122,18 @@
 
 
-
-
-
+					<!-- SOBGumbas undergroundlevel-->
+					<SOBGumba collisionType="dynamic" speed=20 position = "350,0,-70">
+						<attached>
+							<Model mesh="Goomba.mesh" position="0,0,1" scale=3 pitch=90/> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,3" /> 			
+						</collisionShapes>
+					</SOBGumba>
+
+
+
+						<!-- SOBGumbas groundlevel-->
 					<SOBGumba collisionType="dynamic" speed=40 position = "240,0,0">
 						<attached>
@@ -259,9 +270,29 @@
 					<StaticEntity collisionType="static" mass='-1'>
 						<collisionShapes>
-							<BoxCollisionShape position="340,0,-20" halfExtents="345,5,5" />
-						</collisionShapes>
-					</StaticEntity>
-
-
+							<BoxCollisionShape position="140,0,-20" halfExtents="135,5,5" />
+							<BoxCollisionShape position="330,0,-20" halfExtents="30,5,5" />
+							<BoxCollisionShape position="400,0,-20" halfExtents="60,5,5" />
+							<BoxCollisionShape position="530,0,-20" halfExtents="50,5,5" />
+							<BoxCollisionShape position="640,0,-20" halfExtents="40,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+					<!-- Boden 1 Unterirdisch-->
+					<Model mesh="Cube2.12.mesh" position="270,0,-90" scale=10 Pitch=90/> 					<!-- B1.1 -->
+					<Model mesh="Cube2.12.mesh" position="390,0,-90" scale=10 Pitch=90/> 				<!-- B1.2-->
+					
+					<!-- CollisionShape fuer Unterirdisch-->
+					<StaticEntity collisionType="static" mass='-1'>
+						<collisionShapes>
+							<BoxCollisionShape position="390,0,-80" halfExtents="125,5,5" />
+						 
+						</collisionShapes>
+					</StaticEntity>
+					<StaticEntity collisionType="static" mass='1000000000'>
+						<collisionShapes>
+							 
+							<BoxCollisionShape position="265,0,-80" halfExtents="5,5,5" />
+							<BoxCollisionShape position="510,0,-80" halfExtents="5,5,5" />
+						</collisionShapes>
+					</StaticEntity>
 
 
@@ -316,10 +347,23 @@
 					</SOBQBlock> 
 					
-					<Model mesh="Cube1.1.mesh" position="250,0,20" scale=10/> 												<!-- L1.7 -->
+					
+					<SOBTube collisionType="dynamic" cool=1 position="295,5,-23" mass='10000'>
+						<attached>
+													
+							<Model mesh="Rohr.mesh" position="0,0,-12" scale=10 roll=90 yaw=90 pitch=-90/> 	
+						</attached>
+					</SOBTube> 
+					
+					<SOBTube collisionType="dynamic" cool=1 position="475,5,-3" mass='10000'>
+						<attached>
+													<!-- L1.6 -->
+							<Model mesh="Rohr.mesh" position="0,0,-12" scale=10 roll=90 yaw=90 pitch=-90/> 	
+						</attached>
+					</SOBTube> 
+					
+						<Model mesh="Cube1.1.mesh" position="250,0,20" scale=10/> 											<!-- L1.7 -->
 					<!-- Rohre-->
-					<Model mesh="Rohr.mesh" position="295,5,-35" scale=10 roll=90 yaw=90 pitch=-90/> 						<!-- L1.8 -->
-					<Model mesh="Rohr.mesh" position="395,5,-25" scale=10 roll=90 yaw=90 pitch=-90/>						<!-- L1.9 -->
-					<Model mesh="Rohr.mesh" position="475,5,-15" scale=10 roll=90 yaw=90 pitch=-90 />						<!-- L1.10 -->
-					<Model mesh="Rohr.mesh" position="585,5,-15" scale=10 roll=90 yaw=90 pitch=-90 />						<!-- L1.11 -->	
+										<!-- L1.8 -->
+									<!-- L1.11 -->	
 
 					<SOBQBlock collisionType="static" type="Mushroom" position="650,0,30" mass='-1'>
@@ -343,22 +387,27 @@
 							<BoxCollisionShape position="210,0,20" halfExtents="5,5,5" /> 						<!-- 1.3 -->
 							<BoxCollisionShape position="230,0,20" halfExtents="5,5,5" /> 						<!-- 1.5 -->
-							<BoxCollisionShape position="250,0,20" halfExtents="5,5,5" /> 						<!-- 1.7 -->
-							
-
-						</collisionShapes>
-					</StaticEntity>
-
+						
+							<BoxCollisionShape position="250,0,20" halfExtents="5,5,5" />						<!-- 1.7 -->
+							
+
+						</collisionShapes>
+					</StaticEntity>
+						<Model mesh="Rohr.mesh" position="395,0,-25" scale=10 roll=90 yaw=90 pitch=-90/> 	
+						<Model mesh="Rohr.mesh" position="585,0,-15" scale=10 roll=90 yaw=90 pitch=-90/> 	
 
 					<StaticEntity collisionType="static" >
-						<collisionShapes>
-							
-
-							<BoxCollisionShape position="295,0,-4" halfExtents="12,5,12" /> 					<!-- 1.8 -->
-							<BoxCollisionShape position="395,0,1" halfExtents="12,5,17" /> 						<!-- 1.9 -->
-							<BoxCollisionShape position="475,0,6" halfExtents="12,5,22" /> 						<!-- 1.10 -->
-							<BoxCollisionShape position="585,0,6" halfExtents="12,5,22" /> 						<!-- 1.11 -->
-
-						</collisionShapes>
-					</StaticEntity>
+						
+						
+
+						<collisionShapes>
+							
+
+											
+							<BoxCollisionShape position="395,0,1" halfExtents="12,5,17" /> 						
+												
+							<BoxCollisionShape position="585,0,6" halfExtents="12,5,22" /> 						
+
+						</collisionShapes>
+					</StaticEntity> 
 
 