Index: code/branches/WorldMap_HS18/data/gui/layouts/CampaignMenu.layout
===================================================================
--- code/branches/WorldMap_HS18/data/gui/layouts/CampaignMenu.layout	(revision 12036)
+++ code/branches/WorldMap_HS18/data/gui/layouts/CampaignMenu.layout	(revision 12053)
@@ -7,4 +7,6 @@
         <Property name="Area" value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
         <Property name="BackgroundEnabled" value="False" />
+        
+
         <Window name="Mission1Text" type="MenuWidgets/Button">
             <Property name="Text" value="Mission One" />
@@ -19,7 +21,8 @@
             <Event function="CampaignMenu.Mission1Button_clicked" name="Clicked" />
         </Window>
+
         <Window name="Mission2Text" type="MenuWidgets/Button">
             <Property name="Text" value="Fight in our Back" />
-            <Property name="Visible" value="False" />
+            <Property name="Visible" value="True" />
             <Property name="Area" value="{{0.35,0},{0.6,0},{0.55,0},{0.65,0}}" />
             <Property name="Disabled" value="True" />
@@ -27,5 +30,5 @@
         </Window>
         <Window name="Mission2Button" type="MenuWidgets/JuuButton">
-            <Property name="Visible" value="False" />
+            <Property name="Visible" value="True" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="Area" value="{{0.4,0},{0.7,0},{0.5,0},{0.85,0}}" />
@@ -33,4 +36,5 @@
             <Event function="CampaignMenu.Mission2Button_clicked" name="Clicked" />
         </Window>
+
         <Window name="Mission3Text" type="MenuWidgets/Button">
             <Property name="Text" value="Pirate Attack" />
@@ -47,4 +51,5 @@
             <Event function="CampaignMenu.Mission3Button_clicked" name="Clicked" />
         </Window>
+
         <Window name="Mission4Text" type="MenuWidgets/Button">
             <Property name="Text" value="Trip to Area 51" />
@@ -61,4 +66,5 @@
             <Event function="CampaignMenu.Mission4Button_clicked" name="Clicked" />
         </Window>
+
         <Window name="Mission5Text" type="MenuWidgets/Button">
             <Property name="Text" value="Area 51 under Fire" />
@@ -75,4 +81,5 @@
             <Event function="CampaignMenu.Mission5Button_clicked" name="Clicked" />
         </Window>
+
         <Window name="Mission6Text" type="MenuWidgets/Button">
             <Property name="Text" value="Escape the Bastards" />
@@ -85,6 +92,8 @@
             <Property name="Visible" value="False" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            
             <Property name="Area" value="{{0.6,0},{0.17,0},{0.65,0},{0.27,0}}" />
-            <Property name="Disabled" value="True" />
+            
+            <Property name="Disabled" value="True" /> 
             <Event function="CampaignMenu.Mission6Button_clicked" name="Clicked" />
         </Window>
@@ -96,4 +105,5 @@
             <Property name="Area" value="{{0.4,0},{0.025,0},{0.6,0},{0.075,0}}" />
         </Window>
+
         <Window name="Mission7Button" type="MenuWidgets/JuuButton">
             <Property name="Visible" value="False" />
@@ -117,4 +127,5 @@
             <Event function="CampaignMenu.Mission8Button_clicked" name="Clicked" />
         </Window>
+
         <Window name="Mission9Text" type="MenuWidgets/Button">
             <Property name="Text" value="Retaliation" />
@@ -131,4 +142,5 @@
             <Event function="CampaignMenu.Mission9Button_clicked" name="Clicked" />
         </Window>
+
         <Window name="CampaignMenuBackButton" type="MenuWidgets/Button">
             <Property name="Text" value="Back" />
@@ -146,4 +158,5 @@
             <Property name="Area" value="{{0.4,0},{0.15,0},{0.6,0},{0.2,0}}" />
         </Window>
+        
     </Window>
 </GUILayout>
Index: code/branches/WorldMap_HS18/data/gui/scripts/CampaignMenu.lua
===================================================================
--- code/branches/WorldMap_HS18/data/gui/scripts/CampaignMenu.lua	(revision 12036)
+++ code/branches/WorldMap_HS18/data/gui/scripts/CampaignMenu.lua	(revision 12053)
@@ -33,13 +33,19 @@
     end
 end
-
+--Updated Buttons der levels
 function P.updateButton(index, button)
+    --Wenn genuegend Levels vorhanden sind, wird der Butten angezeigt
     if (P.shouldDisplayButton(index)) then
         button:setProperty("Visible", "True")
 
+        --wenn genuegend levels bestanden sind, wird er benutzbar
         if (P.shouldEnableButton(index)) then
             button:setProperty("Disabled", "False")
         end
     end
+end
+
+function P.Test(e)
+     orxonox.execute("startMainMenu")
 end
 
Index: code/branches/WorldMap_HS18/data/levels/StoryModeMap.oxw
===================================================================
--- code/branches/WorldMap_HS18/data/levels/StoryModeMap.oxw	(revision 12036)
+++ code/branches/WorldMap_HS18/data/levels/StoryModeMap.oxw	(revision 12053)
@@ -29,11 +29,15 @@
 
 
-    <StaticEntity position="0,0,0" direction="0,0,0" >
+    <StaticEntity position="0,0,0" direction="0,0,-1" >
       <attached>
 
-        <Model position="600,370,0" mesh="planets/moon.mesh" scale=100 />
+        <Model position="600,370,0" mesh="planets/moon.mesh" scale=100 visible="false" />
+         <Model position="550,300,0" mesh="assff.mesh" scale=20  visible="true" orientation="-0.015,0.091,0.038,-0.995"/>
+        <Model position="600,370,0" mesh="Coordinates.mesh" scale=10 />
         <Billboard colour="1,1,0.05" position="600,370,-80"  material="Flares/lensflare" scale=4.5 />
-  
-        <Model position="100,350,-250" mesh="planets/moon.mesh" scale=100  />
+       
+
+        <Model position="100,350,-250" mesh="planets/moon.mesh" scale=100  visible="false"/>
+         <Model position="50,300,-250" mesh="assff.mesh" scale=20  visible="true" orientation="-0.015,0.091,0.038,-0.995"/>
         <Billboard colour="1,1,0.05" position="100,350,-330"  material="Flares/lensflare" scale=4.5 />
 
@@ -66,4 +70,5 @@
     <SpawnPoint position="000.000, 000.000, 1000.000" orientation="0, 0, 0, -1" pawndesign=StoryMode />
     
+    
   </Scene>
 </Level>
Index: code/branches/WorldMap_HS18/data/levels/templates/StoryModeEscort.oxt
===================================================================
--- code/branches/WorldMap_HS18/data/levels/templates/StoryModeEscort.oxt	(revision 12036)
+++ code/branches/WorldMap_HS18/data/levels/templates/StoryModeEscort.oxt	(revision 12053)
@@ -43,5 +43,5 @@
     </engines>
     <attached>
-      <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=4 mesh="escortShip.mesh" />
+      <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=20 mesh="escortShip.mesh" />
       <Model position="0,0,0" yaw=180 pitch=90 roll=0 scale=4 mesh="escortWeapon.mesh" />
 <!--Model mesh="cube.mesh" mass=10 position="0,0,3" scale3D="10,4,8" />
Index: code/branches/WorldMap_HS18/src/orxonox/LevelManager.cc
===================================================================
--- code/branches/WorldMap_HS18/src/orxonox/LevelManager.cc	(revision 12036)
+++ code/branches/WorldMap_HS18/src/orxonox/LevelManager.cc	(revision 12053)
@@ -63,5 +63,5 @@
         RegisterObject(LevelManager);
         this->setConfigValues();
-
+        orxout(status)<<" a ";
         // check override
         if (!CommandLineParser::getArgument("level")->hasDefaultValue())
@@ -257,5 +257,5 @@
         // Get all files matching the level criteria
         Ogre::StringVectorPtr levels = Resource::findResourceNames("*.oxw");
-
+        orxout(internal_info) << levels << "itse me";
         // We only want to load as little as possible
         ClassTreeMask mask;
Index: code/branches/WorldMap_HS18/src/orxonox/gametypes/StoryMode.cc
===================================================================
--- code/branches/WorldMap_HS18/src/orxonox/gametypes/StoryMode.cc	(revision 12036)
+++ code/branches/WorldMap_HS18/src/orxonox/gametypes/StoryMode.cc	(revision 12053)
@@ -47,4 +47,5 @@
     StoryMode::StoryMode(Context* context) : Gametype(context)
     {
+        orxout(internal_info) << levels << "itse me";
         RegisterObject(StoryMode);
 
@@ -65,5 +66,5 @@
     void StoryMode::exit()
     {
-        orxout() << "s funktioniert"<< endl;
+      
         for (StoryMode* mission : ObjectList<StoryMode>())
         { //TODO: make sure that only the desired mission is ended !! This is a dirty HACK, that would end ALL missions!