Index: /data/data_extern/materials/PacmanAfraidGhost.material
===================================================================
--- /data/data_extern/materials/PacmanAfraidGhost.material	(revision 12061)
+++ /data/data_extern/materials/PacmanAfraidGhost.material	(revision 12061)
@@ -0,0 +1,42 @@
+// PacmanAfraidGhost genrated by blender2ogre 0.6.0
+
+material PacmanAfraidGhost 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass PacmanAfraidGhost
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture PacmanAfraidGhost.PNG
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: /data/data_extern/materials/PacmanGelb.material
===================================================================
--- /data/data_extern/materials/PacmanGelb.material	(revision 12061)
+++ /data/data_extern/materials/PacmanGelb.material	(revision 12061)
@@ -0,0 +1,42 @@
+// PacmanGelb genrated by blender2ogre 0.6.0
+
+material PacmanGelb 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass PacmanGelb
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture PacmanGelb.PNG
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: /data/data_extern/materials/PacmanGhostBlue.material
===================================================================
--- /data/data_extern/materials/PacmanGhostBlue.material	(revision 12061)
+++ /data/data_extern/materials/PacmanGhostBlue.material	(revision 12061)
@@ -0,0 +1,42 @@
+// PacmanGhostBlue genrated by blender2ogre 0.6.0
+
+material PacmanGhostBlue 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass PacmanGhostBlue
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture PacmanGhostBlue.PNG
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: /data/data_extern/materials/PacmanGhostOrange.material
===================================================================
--- /data/data_extern/materials/PacmanGhostOrange.material	(revision 12061)
+++ /data/data_extern/materials/PacmanGhostOrange.material	(revision 12061)
@@ -0,0 +1,42 @@
+// PacmanGhostOrange genrated by blender2ogre 0.6.0
+
+material PacmanGhostOrange 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass PacmanGhostOrange
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture PacmanGhostOrange.PNG
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: /data/data_extern/materials/PacmanGhostPink.material
===================================================================
--- /data/data_extern/materials/PacmanGhostPink.material	(revision 12061)
+++ /data/data_extern/materials/PacmanGhostPink.material	(revision 12061)
@@ -0,0 +1,42 @@
+// PacmanGhostPink genrated by blender2ogre 0.6.0
+
+material PacmanGhostPink 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass PacmanGhostPink
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture PacmanGhostPink.PNG
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: /data/data_extern/materials/PacmanGhostRed.material
===================================================================
--- /data/data_extern/materials/PacmanGhostRed.material	(revision 12061)
+++ /data/data_extern/materials/PacmanGhostRed.material	(revision 12061)
@@ -0,0 +1,42 @@
+// PacmanGhostRed genrated by blender2ogre 0.6.0
+
+material PacmanGhostRed 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass PacmanGhostRed
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture PacmanGhostRed.PNG
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: /data/data_extern/materials/PacmanMap.material
===================================================================
--- /data/data_extern/materials/PacmanMap.material	(revision 12061)
+++ /data/data_extern/materials/PacmanMap.material	(revision 12061)
@@ -0,0 +1,42 @@
+// PacmanMap genrated by blender2ogre 0.6.0
+
+material PacmanMap 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass PacmanMap
+        {
+            ambient 0.9113900661468506 0.6212117075920105 0.7106964588165283 1.0
+            diffuse 0.7291120637820967 0.49696937347902903 0.5685571755253847 1.0
+            specular 0.5 0.41608479619026184 0.45826786756515503 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture PacmanMap.PNG
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: /data/data_extern/materials/PacmanPointAfraid.material
===================================================================
--- /data/data_extern/materials/PacmanPointAfraid.material	(revision 12061)
+++ /data/data_extern/materials/PacmanPointAfraid.material	(revision 12061)
@@ -0,0 +1,42 @@
+// PacmanPointAfraid genrated by blender2ogre 0.6.0
+
+material PacmanPointAfraid 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass PacmanPointAfraid
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture PacmanPointSphere.PNG
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: /data/data_extern/materials/PacmanPointSphere.material
===================================================================
--- /data/data_extern/materials/PacmanPointSphere.material	(revision 12061)
+++ /data/data_extern/materials/PacmanPointSphere.material	(revision 12061)
@@ -0,0 +1,42 @@
+// PacmanPointSphere genrated by blender2ogre 0.6.0
+
+material PacmanPointSphere 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass PacmanPointSphere
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture PacmanPointSphere.PNG
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}