Index: code/branches/OrxoKart_HS18/data/levels/OrxoKart1.oxw
===================================================================
--- code/branches/OrxoKart_HS18/data/levels/OrxoKart1.oxw	(revision 12057)
+++ code/branches/OrxoKart_HS18/data/levels/OrxoKart1.oxw	(revision 12062)
@@ -26,5 +26,7 @@
 N = 11
 --scaling factor
-S = 250
+S = 150
+-- Map Matrix
+MAP = "1,0,1,01,10,10,10,10,1,101,1,0101,010,10,10,10,10,10,10,10,1010,10,0,10,10,10,10,00,1,01,0110,11,01,01,10,1,1,1,10,1,10"
 
 MAP_ORIGIN = "0,0,0"
@@ -49,8 +51,8 @@
       <attached>
         <!-- Walls and flags (physics and design)-->
-        <!--
+        <!-- 
         <HoverOrigin
-          numCells="<?lua print(MAZE_NUM_CELLS)?>"
-          cellSize="<?lua print(MAZE_CELL_SIZE)?>"
+          numCells="<?lua print(N)?>"
+          cellSize="<?lua print(S)?>"
           cellHeight="<?lua print(MAZE_CELL_HEIGHT)?>"
         />
@@ -58,10 +60,4 @@
 
         <!-- floor design -->
-
-
-
-
-
-
         
         <Model
Index: code/branches/OrxoKart_HS18/src/modules/hover/Hover.cc
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/hover/Hover.cc	(revision 12057)
+++ code/branches/OrxoKart_HS18/src/modules/hover/Hover.cc	(revision 12062)
@@ -70,6 +70,18 @@
             generator.generateMaze();
             generator.renderMaze();
+            int levelcodeArray[] = {1,1,1,1,1,1,1,1,0,0,0
+                                    ,1,0,0,0,0,0,0,1,1,1,0
+                                    ,1,0,1,1,1,1,0,0,0,1,1
+                                    ,1,1,1,0,0,1,1,0,0,0,1
+                                    ,0,0,0,0,0,0,1,0,1,1,1
+                                    ,1,1,1,1,1,1,1,0,1,0,0
+                                    ,1,0,0,0,0,0,0,0,1,0,0
+                                    ,1,0,0,0,0,0,0,0,1,0,0
+                                    ,1,1,1,1,1,0,0,0,1,1,1
+                                    ,0,0,0,0,1,0,0,0,0,0,1
+                                    ,0,0,0,0,1,1,1,1,1,1,1};
+            //int* levelcode = generator.getLevelcode();
+            int* levelcode = levelcodeArray;
 
-            int* levelcode = generator.getLevelcode();
 
             //Outer Walls
@@ -87,6 +99,6 @@
                         case 1: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 1);
                                 break;
-                        case 3: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 1);
-                        case 2: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 0);
+                        //case 3: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 1);
+                        //case 2: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 0);
                         default: break;
                     }
Index: code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKart.cc
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKart.cc	(revision 12057)
+++ code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKart.cc	(revision 12062)
@@ -35,5 +35,5 @@
 
 #include "OrxoKartOrigin.h"
-#include "OrxoKartWall.h"
+#include "OrxoKartTile.h"
 #include "core/CoreIncludes.h"
 
@@ -50,9 +50,9 @@
         this->firstTick_ = true;
 
-        this->setHUDTemplate("HoverHUD");
+        this->nullptr
     }
 
     void OrxoKart::tick(float dt)
-    { /*
+    { 
         SUPER(OrxoKart, tick, dt);
 
@@ -68,13 +68,24 @@
             generator.generateMaze();
             generator.renderMaze();
-
-            int* levelcode = generator.getLevelcode();
+            int levelcodeArray[] = {1,1,1,1,1,1,1,1,0,0,0
+                                    ,1,0,0,0,0,0,0,1,1,1,0
+                                    ,1,0,1,1,1,1,0,0,0,1,1
+                                    ,1,1,1,0,0,1,1,0,0,0,1
+                                    ,0,0,0,0,0,0,1,0,1,1,1
+                                    ,1,1,1,1,1,1,1,0,1,0,0
+                                    ,1,0,0,0,0,0,0,0,1,0,0
+                                    ,1,0,0,0,0,0,0,0,1,0,0
+                                    ,1,1,1,1,1,0,0,0,1,1,1
+                                    ,0,0,0,0,1,0,0,0,0,0,1
+                                    ,0,0,0,0,1,1,1,1,1,1,1};
+            //int* levelcode = generator.getLevelcode();
+            int* levelcode = levelcodeArray;
 
             //Outer Walls
             for(int i = 0; i<numCells; i++){
-                (new HoverWall(origin_->getContext()))->init(0,        i+1,      cellSize, cellHeight, 1);
-                (new HoverWall(origin_->getContext()))->init(numCells, i+1,      cellSize, cellHeight, 1);
-                (new HoverWall(origin_->getContext()))->init(i+1,      0,        cellSize, cellHeight, 2);
-                (new HoverWall(origin_->getContext()))->init(i+1,      numCells, cellSize, cellHeight, 2);
+                (new OrxoKartTile(origin_->getContext()))->init(0,        i+1,      cellSize, cellHeight, 1);
+                (new OrxoKartTile(origin_->getContext()))->init(numCells, i+1,      cellSize, cellHeight, 1);
+                (new OrxoKartTile(origin_->getContext()))->init(i+1,      0,        cellSize, cellHeight, 2);
+                (new OrxoKartTile(origin_->getContext()))->init(i+1,      numCells, cellSize, cellHeight, 2);
             }
 
@@ -83,8 +94,8 @@
                 for(int x=0; x<numCells; x++){
                     switch(levelcode[ y * numCells + x ]){
-                        case 1: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 1);
+                        case 1: (new OrxoKartTile(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 1);
                                 break;
-                        case 3: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 1);
-                        case 2: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 0);
+                        case 3: (new OrxoKartTile(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 1);
+                        case 2: (new OrxoKartTile(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 0);
                         default: break;
                     }
@@ -92,11 +103,5 @@
             }
 
-            //Generate 5 flags randomly
-            for ( int i = 0; i < 5; i++ )
-            {
-                HoverFlag* flag = new HoverFlag(origin_->getContext());
-                flag->init(rand()%numCells, rand()%numCells, cellSize);
-                flags_.push_back(flag);
-            }
+            
 
         }//firsttick end
@@ -110,5 +115,5 @@
         }
         numberOfFlags_ = flags_.size();
-        */
+        
     }
 }
Index: code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKart.h
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKart.h	(revision 12057)
+++ code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKart.h	(revision 12062)
@@ -52,5 +52,5 @@
             virtual void tick(float dt) override;
 
-            void setOrigin(HoverOrigin* origin)
+            void setOrigin(OrxoKartOrigin* origin)
                 { this->origin_ = origin; }
 
Index: code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartOrigin.cc
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartOrigin.cc	(revision 12057)
+++ code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartOrigin.cc	(revision 12062)
@@ -53,8 +53,8 @@
         XMLPortParam(OrxoKartOrigin, "numCells", setNumCells, getNumCells, xmlelement, mode);
         XMLPortParam(OrxoKartOrigin, "cellSize", setCellSize, getCellSize, xmlelement, mode);
-        XMLPortParam(OrxoKartOrigin, "cellHeight", setCellHeight, getCellHeight, xmlelement, mode);
+        XMLPortParam(OrxoKartOrigin, "mapMatrix", setMapMatrix, getMapMatrix, xmlelement, mode);
     }
 
-    void HoverOrigin::checkGametype()
+    void OrxoKartOrigin::checkGametype()
     {
         if (getGametype() != nullptr && this->getGametype()->isA(Class(OrxoKart)))
Index: code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartOrigin.h
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartOrigin.h	(revision 12057)
+++ code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartOrigin.h	(revision 12062)
@@ -61,8 +61,8 @@
                 { return this->cellSize_; }
 
-            inline void setCellHeight(int cellHeight)
-                { this->cellHeight_ = cellHeight; }
-            inline int getCellHeight() const
-                { return this->cellHeight_; }
+            inline void setMapMatrix(int mapMatrix)
+                { this->mapMatrix_ = mapMatrix; }
+            inline int getMapMatrix() const
+                { return this->mapMatrix_; }
 
         private:
@@ -71,5 +71,5 @@
             int numCells_;
             int cellSize_;
-            int cellHeight_;
+            int mapMatrix_;
     };
 }
Index: code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartTile.cc
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartTile.cc	(revision 12057)
+++ code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartTile.cc	(revision 12062)
@@ -28,9 +28,9 @@
 
 /**
-    @file HoverWall.cc
-    @brief Represents one Wall piece in the Hover Game
+    @file OrxoKartTile.cc
+    @brief Represents one Wall piece in the OrxoKart Game
 */
 
-#include "HoverWall.h"
+#include "OrxoKartTile.h"
 
 #include "core/CoreIncludes.h"
@@ -40,9 +40,9 @@
 namespace orxonox
 {
-    RegisterClass(HoverWall);
+    RegisterClass(OrxoKartTile);
 
-    HoverWall::HoverWall(Context* context) : StaticEntity(context)
+    OrxoKartTile::OrxoKartTile(Context* context) : StaticEntity(context)
     {
-        RegisterObject(HoverWall);
+        RegisterObject(OrxoKartTile);
 
         this->model_ = nullptr;
@@ -58,5 +58,5 @@
         Destructor.
     */
-    HoverWall::~HoverWall()
+    OrxoKartTile::~OrxoKartTile()
     {
         if (this->isInitialized())
@@ -71,5 +71,5 @@
     /**
     @brief
-        Initializes a HoverWall
+        Initializes a OrxoKartTile
     @param x
         x-Coordinate of the Square that the Wall is attached to, 0-9, Origin is Bottom left
@@ -83,5 +83,5 @@
             Wall on the right side (1) or on top (2) of this square, 0-1        
     */
-    void HoverWall::init(int x, int y, int cellSize, int cellHeight, int orientation)
+    void OrxoKartTile::init(int x, int y, int cellSize, int cellHeight, int orientation)
     {
         int xSize_, zSize_, xPos_, zPos_;
Index: code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartTile.h
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartTile.h	(revision 12057)
+++ code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartTile.h	(revision 12062)
@@ -28,13 +28,13 @@
 
 /**
-    @file HoverWall.h
+    @file OrxoKartTile.h
     @brief See .cc-file for further information
-    @ingroup Hover
+    @ingroup OrxoKart
 */
 
-#ifndef _HoverWall_H__
-#define _HoverWall_H__
+#ifndef _OrxoKartTile_H__
+#define _OrxoKartTile_H__
 
-#include "HoverPrereqs.h"
+#include "OrxoKartPrereqs.h"
 #include "objects/ObjectsPrereqs.h"
 
@@ -43,9 +43,9 @@
 namespace orxonox
 {
-    class _HoverExport HoverWall : public StaticEntity
+    class _OrxoKartExport OrxoKartTile : public StaticEntity
     {
         public:
-            HoverWall(Context* context);
-            virtual ~HoverWall();
+            OrxoKartTile(Context* context);
+            virtual ~OrxoKartTile();
 
             void init(int x, int y, int cellSize, int cellHeight, int orientation);
@@ -57,3 +57,3 @@
 }
 
-#endif /* _HoverWall_H__ */
+#endif /* _OrxoKartTile_H__ */