Index: code/branches/OrxoKart_HS18/src/modules/hover/HoverShip.cc
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/hover/HoverShip.cc	(revision 12062)
+++ code/branches/OrxoKart_HS18/src/modules/hover/HoverShip.cc	(revision 12066)
@@ -49,18 +49,27 @@
 
     void HoverShip::moveFrontBack(const Vector2& value)
-        { this->steering_.z -= value.x; }
+        { 
+            this->steering_.z -= value.x; 
+            orxout() << "mFB" << endl;
+        }
 
     void HoverShip::moveRightLeft(const Vector2& value)
-        { this->steering_.x += value.x; }
+        { 
+            this->rotateYaw(value);
+            orxout() << "mRL" << endl;
+        }
 
     void HoverShip::moveUpDown(const Vector2& value)
-        { this->steering_.y += value.x; }
+        { 
+            this->steering_.y += value.x; 
+            orxout() << "mUD" << endl;
+        }
 
     void HoverShip::rotateYaw(const Vector2& value)
-    {
-        this->localAngularAcceleration_.setY(this->localAngularAcceleration_.y() + value.x);
-
-        Pawn::rotateYaw(value);
-    }
+        {
+            this->localAngularAcceleration_.setY(this->localAngularAcceleration_.y() - value.x);
+            //orxout() << value;
+            Pawn::rotateYaw(value);
+        }
 
     void HoverShip::XMLPort(Element& xmlelement, XMLPort::Mode mode)
Index: code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartKart.cc
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartKart.cc	(revision 12062)
+++ code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartKart.cc	(revision 12066)
@@ -26,9 +26,9 @@
 
 /**
-    @file HoverShip.cc
-    @brief Implementation of the HoverShip control
+    @file OrxoKartKart.cc
+    @brief Implementation of the OrxoKartKart control
 */
 
-#include "HoverShip.h"
+#include "OrxoKartKart.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
@@ -38,9 +38,9 @@
 namespace orxonox
 {
-    RegisterClass(HoverShip);
+    RegisterClass(OrxoKartKart);
 
-    HoverShip::HoverShip(Context* context) : SpaceShip(context)
+    OrxoKartKart::OrxoKartKart(Context* context) : SpaceShip(context)
     {
-        RegisterObject(HoverShip);
+        RegisterObject(OrxoKartKart);
         enableCollisionCallback();
         isFloor_ = false;
@@ -48,25 +48,34 @@
     }
 
-    void HoverShip::moveFrontBack(const Vector2& value)
-        { this->steering_.z -= value.x; }
+    void OrxoKartKart::moveFrontBack(const Vector2& value)
+        { 
+            this->steering_.z -= value.x; 
+            orxout() << "mFB" << endl;
+        }
 
-    void HoverShip::moveRightLeft(const Vector2& value)
-        { this->steering_.x += value.x; }
+    void OrxoKartKart::moveRightLeft(const Vector2& value)
+        { 
+            this->rotateYaw(value);
+            orxout() << "mRL" << endl;
+        }
 
-    void HoverShip::moveUpDown(const Vector2& value)
-        { this->steering_.y += value.x; }
+    void OrxoKartKart::moveUpDown(const Vector2& value)
+        { 
+            this->steering_.y += value.x; 
+            orxout() << "mUD" << endl;
+        }
 
-    void HoverShip::rotateYaw(const Vector2& value)
+    void OrxoKartKart::rotateYaw(const Vector2& value)
+        {
+            this->localAngularAcceleration_.setY(this->localAngularAcceleration_.y() - value.x);
+            //orxout() << value;
+            Pawn::rotateYaw(value);
+        }
+
+    void OrxoKartKart::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-        this->localAngularAcceleration_.setY(this->localAngularAcceleration_.y() + value.x);
+        SUPER(OrxoKartKart, XMLPort, xmlelement, mode);
 
-        Pawn::rotateYaw(value);
-    }
-
-    void HoverShip::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(HoverShip, XMLPort, xmlelement, mode);
-
-        XMLPortParam(HoverShip, "jumpBoost", setJumpBoost, getJumpBoost, xmlelement, mode);
+        XMLPortParam(OrxoKartKart, "jumpBoost", setJumpBoost, getJumpBoost, xmlelement, mode);
     }
 
@@ -76,5 +85,5 @@
     @param value
     */
-    void HoverShip::rotatePitch(const Vector2& value) { }
+    void OrxoKartKart::rotatePitch(const Vector2& value) { }
 
     /**
@@ -83,5 +92,5 @@
     @param value
     */
-    void HoverShip::rotateRoll(const Vector2& value) { }
+    void OrxoKartKart::rotateRoll(const Vector2& value) { }
 
     /**
@@ -89,8 +98,8 @@
         Checks if the ship is touching the floor. The ship can only jump if there is contact with someting beneath it.
     */
-    bool HoverShip::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint)
+    bool OrxoKartKart::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint)
     {
         SpaceShip::collidesAgainst(otherObject, cs, contactPoint);
-        //SUPER(HoverShip, collidesAgainst, otherObject, cs, contactPoint);
+        //SUPER(OrxoKartKart, collidesAgainst, otherObject, cs, contactPoint);
 
         if (contactPoint.m_normalWorldOnB.y() > 0.6
@@ -109,5 +118,5 @@
     @param bBoost
     */
-    void HoverShip::boost(bool bBoost) {
+    void OrxoKartKart::boost(bool bBoost) {
         if (bBoost && this->isFloor_)
         {
Index: code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartKart.h
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartKart.h	(revision 12062)
+++ code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartKart.h	(revision 12066)
@@ -26,12 +26,12 @@
 
 /**
-    @file HoverShip.h
-    @brief Declaration of the HoverShip class.
+    @file OrxoKartKart.h
+    @brief Declaration of the OrxoKartKart class.
 */
 
-#ifndef _HoverShip_H__
-#define _HoverShip_H__
+#ifndef _OrxoKartKart_H__
+#define _OrxoKartKart_H__
 
-#include "HoverPrereqs.h"
+#include "OrxoKartPrereqs.h"
 
 #include "worldentities/pawns/SpaceShip.h"
@@ -39,8 +39,8 @@
 namespace orxonox
 {
-    class _HoverExport HoverShip : public SpaceShip
+    class _OrxoKartExport OrxoKartKart : public SpaceShip
     {
         public:
-            HoverShip(Context* context);
+            OrxoKartKart(Context* context);
 
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
@@ -75,3 +75,3 @@
 }
 
-#endif /* _HoverShip_H__ */
+#endif /* _OrxoKartKart_H__ */