Index: code/branches/wagnis_HS18/data/levels/Wagnis.oxw
===================================================================
--- code/branches/wagnis_HS18/data/levels/Wagnis.oxw	(revision 12052)
+++ code/branches/wagnis_HS18/data/levels/Wagnis.oxw	(revision 12067)
@@ -12,8 +12,5 @@
 ?>
 
-<?lua
-  include("templates/spaceshipEscort.oxt")
-?>
-
+<!--
 <Template name=pongbatcameras defaults=0>
   <PongBat>
@@ -31,11 +28,11 @@
     <attached>
       <Model position="0,0,3" mesh="cube.mesh" scale3D="14,2,2" />
-      <!--Model roll=180 mesh="pongbat.mesh" scale=0.045 /-->
+      <-Model roll=180 mesh="pongbat.mesh" scale=0.045 /->
     </attached>
   </PongBat>
-</Template>
+</Template> -->
 
-<Level>
-  gametype = 
+
+<Level plugins="wagnis" gametype="Deathmatch">
   <templates>
     <Template link=lodtemplate_default />
@@ -51,39 +48,52 @@
     <SpawnPoint position="100, 45, 75" lookat="0, 45, 75" />
 
+<WagnisGameboard position="0,0,0">
+ <Provinces>
+    <WagnisProvince ID="1" continent="1" position="0,30,30" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="2,2,2" />
+      </attached>
+    </WagnisProvince>
+
+    <WagnisProvince ID="2" continent="1" position="0,40,30" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="2,2,2" />
+      </attached>
+    </WagnisProvince>
 
 
 
-<MovableEntity position="0,0,0" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+
+
+  </Provinces>
+</WagnisGameboard>
+
+<!-->
+  <WagnisProvince ID="1" continent="1" position="0,30,30" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
     <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="2,2,2" />
+      <Model position="0,0,0" mesh="ast1.mesh" scale3D="2,2,2" />
     </attached>
-</MovableEntity>
+ </WagnisProvince>
 
-<MovableEntity position="0,0,10" rotationrate="26" rotationaxis="0,2,1">
+  <WagnisProvince ID="1" continent="1" position="0,43,33" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
     <attached>
-        <Model position="0,0,0" mesh="ast2.mesh" scale3D="2,2,2" />
+      <Model position="0,0,0" mesh="ast1.mesh" scale3D="2,2,2" />
     </attached>
-</MovableEntity>
+  </WagnisProvince>
 
-<MovableEntity position="0,10,0" rotationrate="44" rotationaxis="3,1,1">
+  <WagnisProvince ID="1" continent="1" position="0,22,28" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
     <attached>
-        <Model position="0,0,0" mesh="ast3.mesh" scale3D="2,2,2" />
+      <Model position="0,0,0" mesh="ast1.mesh" scale3D="2,2,2" />
     </attached>
-</MovableEntity>
+  </WagnisProvince>
 
-<MovableEntity position="0,10,10" rotationrate="10" rotationaxis="2,9,1">
+  <WagnisProvince ID="1" continent="1" position="0,41,22" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
     <attached>
-        <Model position="0,0,0" mesh="ast4.mesh" scale3D="2,2,2" />
+      <Model position="0,0,0" mesh="ast1.mesh" scale3D="2,2,2" />
     </attached>
-</MovableEntity>
-
-<MovableEntity position="0,20,10" rotationrate="20" rotationaxis="5,2,1">
-    <attached>
-        <Model position="0,0,0" mesh="ast5.mesh" scale3D="2,2,2" />
-    </attached>
-</MovableEntity>
+  </WagnisProvince>
+  -->
 
 <Model position="0,0,0" mesh="Coordinates.mesh" scale="20"/>
-
 
 
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.cc	(revision 12052)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.cc	(revision 12067)
@@ -1,8 +1,2 @@
-
-
-
-
-
-
 #include "WagnisGameboard.h"
 #include "core/CoreIncludes.h"
@@ -29,10 +23,13 @@
     //XML Port
     void WagnisGameboard::XMLPort(Element& xmlelement,XMLPort::Mode mode){
+        SUPER(WagnisGameboard, XMLPort, xmlelement, mode);
 
-        XMLPortObject(WagnisGameboard, WagnisProvince, "Province", addProvince, getProvince, xmlelement, mode);
+        XMLPortObject(WagnisGameboard, WagnisProvince, "Provinces", addProvince, getProvince, xmlelement, mode);
     }
     //XML add province
     //Adds a Province to the Gameboard
     void WagnisGameboard::addProvince(WagnisProvince* province){
+        orxout() << "added" << endl;
+        orxout() << province->getID() << endl;
         this->provs.push_back(province);
     }
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12052)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12067)
@@ -1,8 +1,2 @@
-
-
-
-
-
-
 #include "WagnisProvince.h"
 #include "core/CoreIncludes.h"
@@ -30,4 +24,6 @@
     //XML Port
     void WagnisProvince::XMLPort(Element& xmlelement,XMLPort::Mode mode){
+        SUPER(WagnisProvince, XMLPort, xmlelement, mode);
+
         XMLPortParam(WagnisProvince, "ID", setID, getID, xmlelement, mode);
         XMLPortParam(WagnisProvince, "continent", setContinent, getContinent, xmlelement, mode);
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.h
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.h	(revision 12052)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.h	(revision 12067)
@@ -7,5 +7,5 @@
 #define Wagnis_Province_h
 
-#include "OrxonoxPrereqs.h"
+#include "WagnisPrereqs.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
@@ -16,5 +16,5 @@
 namespace orxonox
 {
-    class WagnisProvince : public MovableEntity
+    class _WagnisExport WagnisProvince : public MovableEntity
     {
     public: