Index: code/branches/OrxoKart_HS18/data/levels/templates/spaceshipHover.oxt
===================================================================
--- code/branches/OrxoKart_HS18/data/levels/templates/spaceshipHover.oxt	(revision 12071)
+++ code/branches/OrxoKart_HS18/data/levels/templates/spaceshipHover.oxt	(revision 12073)
@@ -1,3 +1,2 @@
-
 <Template name=spaceshiphover>
   <SpaceShip
@@ -19,14 +18,14 @@
    reloadwaittime      = 0.5
 
-   primaryThrust     = 600
-   auxilaryThrust    = 300
-   rotationThrust    = 50
+   primaryThrust     = 200
+   auxilaryThrust    = 30
+   rotationThrust    = 25
 
-   jumpBoost = 30
+   jumpBoost = 90
 
    lift = 1;
-   stallSpeed = 500;
+   stallSpeed = 220;
 
-   boostPower            = 30
+   boostPower            = 10
    boostPowerRate        = 1
    boostRate             = 5
@@ -80,5 +79,5 @@
    boostfactor    = 2
 
-   speedfront     = 200
+   speedfront     = 90
    speedback      =  40
    speedleftright =  40
Index: code/branches/OrxoKart_HS18/src/modules/hover/Hover.cc
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/hover/Hover.cc	(revision 12071)
+++ code/branches/OrxoKart_HS18/src/modules/hover/Hover.cc	(revision 12073)
@@ -70,18 +70,6 @@
             generator.generateMaze();
             generator.renderMaze();
-            int levelcodeArray[] = {1,1,1,1,1,1,1,1,0,0,0
-                                    ,1,0,0,0,0,0,0,1,1,1,0
-                                    ,1,0,1,1,1,1,0,0,0,1,1
-                                    ,1,1,1,0,0,1,1,0,0,0,1
-                                    ,0,0,0,0,0,0,1,0,1,1,1
-                                    ,1,1,1,1,1,1,1,0,1,0,0
-                                    ,1,0,0,0,0,0,0,0,1,0,0
-                                    ,1,0,0,0,0,0,0,0,1,0,0
-                                    ,1,1,1,1,1,0,0,0,1,1,1
-                                    ,0,0,0,0,1,0,0,0,0,0,1
-                                    ,0,0,0,0,1,1,1,1,1,1,1};
-            //int* levelcode = generator.getLevelcode();
-            int* levelcode = levelcodeArray;
 
+            int* levelcode = generator.getLevelcode();
 
             //Outer Walls
@@ -99,6 +87,6 @@
                         case 1: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 1);
                                 break;
-                        //case 3: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 1);
-                        //case 2: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 0);
+                        case 3: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 1);
+                        case 2: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 0);
                         default: break;
                     }
Index: code/branches/OrxoKart_HS18/src/modules/hover/HoverShip.cc
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/hover/HoverShip.cc	(revision 12071)
+++ code/branches/OrxoKart_HS18/src/modules/hover/HoverShip.cc	(revision 12073)
@@ -49,27 +49,18 @@
 
     void HoverShip::moveFrontBack(const Vector2& value)
-        { 
-            this->steering_.z -= value.x; 
-            orxout() << "mFB" << endl;
-        }
+        { this->steering_.z -= value.x; }
 
     void HoverShip::moveRightLeft(const Vector2& value)
-        { 
-            this->rotateYaw(value);
-            orxout() << "mRL" << endl;
-        }
+        { this->steering_.x += value.x; }
 
     void HoverShip::moveUpDown(const Vector2& value)
-        { 
-            this->steering_.y += value.x; 
-            orxout() << "mUD" << endl;
-        }
+        { this->steering_.y += value.x; }
 
     void HoverShip::rotateYaw(const Vector2& value)
-        {
-            this->localAngularAcceleration_.setY(this->localAngularAcceleration_.y() - value.x);
-            //orxout() << value;
-            Pawn::rotateYaw(value);
-        }
+    {
+        this->localAngularAcceleration_.setY(this->localAngularAcceleration_.y() + value.x);
+
+        Pawn::rotateYaw(value);
+    }
 
     void HoverShip::XMLPort(Element& xmlelement, XMLPort::Mode mode)